### BEGIN INIT INFO
# Provides:          nomad
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Nomad agent
# Description:       Nomad service discovery framework
### END INIT INFO

[Unit]
Description=Nomad agent
Requires=network-online.target
After=network-online.target

[Service]
User={{ nomad_user }}
Group={{ nomad_group }}
PermissionsStartOnly=true
ExecStart={{ nomad_bin_path }}/nomad agent \
    -config={{ nomad_config_path }}/{{ 'server.hcl' if nomad_node_role == 'server' else 'client.hcl' }}
ExecReload=/bin/kill -HUP $MAINPID
KillMode=process
KillSignal=SIGTERM
Restart=on-failure
RestartSec=42s
StandardOutput=null
StandardError=null
LimitNOFILE=65536

[Install]
WantedBy=multi-user.target